%define plugindir %(pkg-config audacious --variable=input_plugin_dir)

Summary: Future Composer input plugin for Audacious
Name: audacious-plugin-fc
Version: 0.2
Release: 1
URL: http://xmms-fc.sourceforge.net/
License: GPL
Source:	http://download.sourceforge.net/xmms-fc/audacious-plugin-fc-%{version}.tar.bz2
Group: Applications/Multimedia
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: audacious-devel >= 1.3
BuildRequires: pkgconfig
Requires: audacious >= 1.3

%description
This is an input plugin for Audacious which can play back Future Composer
music files from AMIGA. Song-length detection and seek are implemented, too.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README src/FC.README
%{plugindir}/libfc.so
%exclude %{plugindir}/libfc.la


%changelog
* Thu Mar  8 2007 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.2-1
- Upstream update to 0.2 for Audacious >= 1.3.0.

* Thu Jan 18 2007 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.1-2
- Initial package submission for Fedora Package Review (#222648).
